Index: tests/integration/FragmentJobs/testsuite-integration-fragmentjobs-mpqc-jobs.at
===================================================================
--- tests/integration/FragmentJobs/testsuite-integration-fragmentjobs-mpqc-jobs.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/integration/FragmentJobs/testsuite-integration-fragmentjobs-mpqc-jobs.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
@@ -0,0 +1,82 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2017 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### test mpqc jobs 
+
+# perform test with PoolWorkers using molecuilder_poolworker
+AT_SETUP([Integration - mpqc fragment jobs])
+AT_KEYWORDS([fragmentation automation server poolworker molecuilder_poolworker])
+
+# check that ports are unique over all tests such that they may run in parallel
+WORKERPORT=12020
+CONTROLLERPORT=12021
+WORKERLISTENPORT=12022
+
+# start service in background
+${AUTOTEST_PATH}/molecuilder_server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+server_pid=$!
+AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([kill -s 0 $server_pid], 0, [ignore], [ignore], [kill $server_pid])
+
+# enlist a worker to work on jobs
+../../molecuilder_poolworker -v 5 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
+worker_script_pid=$!
+worker_pid=`ps -ef | grep molecuilder_poolworker | grep $worker_script_pid | awk '{print $2}'`
+AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([kill -s 0 $worker_pid], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# create jobs via molecuilder
+molfile="ethane.pdb"
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/integration/FragmentJobs/pre/ethane.pdb $molfile], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([chmod +rw $molfile], 0)
+AT_CHECK([../../molecuilder \
+	-i $molfile \
+	--select-all-atoms \
+	--update-molecules \
+	--set-parser-parameters mpqc \
+		--parser-parameters "theory=CLHF;basis=3-21G;" \
+	--fragment-molecule BondFragment \
+		--order 2 \
+		--grid-level 5 \
+	--fragment-automation \
+		--server-address 127.0.0.1 \
+		--server-port ${CONTROLLERPORT} \
+		--DoLongrange 0 \
+	--verbose 3 \
+	--analyse-fragment-results results.dat], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+
+# send removeall to server such that all workers shutdown
+AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# check that worker is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([kill $worker_pid], 1, [ignore], [ignore], [kill $server_pid])
+
+# check number of done jobs
+AT_CHECK([fgrep "There are 3 fragments" stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "There are 1 molecules to consider" stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "8 atoms selected." stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([tail -n 1 BondFragment_Energy.dat | awk '{if ($2!=-78.79298686) exit 1}'], 0, [ignore], [ignore], [kill $server_pid])
+
+# shutdown controller socket 
+AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid])
+
+# check that server is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([kill $server_pid], 1, [ignore], [ignore])
+
+AT_CLEANUP