Index: src/Actions/CommandAction/WarrantyAction.cpp
===================================================================
--- src/Actions/CommandAction/WarrantyAction.cpp	(revision 6940bb556236165ebf89b8495b117042efebb708)
+++ src/Actions/CommandAction/WarrantyAction.cpp	(revision 6940bb556236165ebf89b8495b117042efebb708)
@@ -0,0 +1,67 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * WarrantyAction.cpp
+ *
+ *  Created on: Oct 14, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Helpers/MemDebug.hpp"
+
+#include "CommandLineParser.hpp"
+
+#include <iostream>
+#include <string>
+
+using namespace std;
+
+#include "Actions/CommandAction/WarrantyAction.hpp"
+
+// and construct the stuff
+#include "WarrantyAction.def"
+#include "Action_impl_pre.hpp"
+/** =========== define the function ====================== */
+Action::state_ptr CommandWarrantyAction::performCall() {
+  // obtain information
+  getParametersfromValueStorage();
+
+  std::cout << std::endl;
+  std::cout << "This program is distributed in the hope that it will be useful," << std::endl;
+  std::cout << "but WITHOUT ANY WARRANTY; without even the implied warranty of" << std::endl;
+  std::cout << "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE." << std::endl;
+  std::cout << std::endl;
+
+  return Action::success;
+}
+
+Action::state_ptr CommandWarrantyAction::performUndo(Action::state_ptr _state) {
+  return Action::success;
+}
+
+Action::state_ptr CommandWarrantyAction::performRedo(Action::state_ptr _state){
+  return Action::success;
+}
+
+bool CommandWarrantyAction::canUndo() {
+  return true;
+}
+
+bool CommandWarrantyAction::shouldUndo() {
+  return false;
+}
+
+const string CommandWarrantyAction::getName() {
+  return NAME;
+}
+/** =========== end of function ====================== */
Index: src/Actions/CommandAction/WarrantyAction.def
===================================================================
--- src/Actions/CommandAction/WarrantyAction.def	(revision 6940bb556236165ebf89b8495b117042efebb708)
+++ src/Actions/CommandAction/WarrantyAction.def	(revision 6940bb556236165ebf89b8495b117042efebb708)
@@ -0,0 +1,24 @@
+/*
+ * WarrantyAction.def
+ *
+ *  Created on: Oct 14, 2010
+ *      Author: heber
+ */
+
+// all includes and forward declarations necessary for non-integral types below
+
+// i.e. there is an integer with variable name Z that can be found in
+// ValueStorage by the token "Z" -> first column: int, Z, "Z"
+// "undefine" if no parameters are required
+#undef paramtypes
+#undef paramtokens
+#undef paramreferences
+
+#undef statetypes
+#undef statereferences
+
+// some defines for all the names, you may use ACTION, STATE and PARAMS
+#define CATEGORY Command
+#define ACTIONNAME Warranty
+#define TOKEN "warranty"
+
Index: src/Actions/CommandAction/WarrantyAction.hpp
===================================================================
--- src/Actions/CommandAction/WarrantyAction.hpp	(revision 6940bb556236165ebf89b8495b117042efebb708)
+++ src/Actions/CommandAction/WarrantyAction.hpp	(revision 6940bb556236165ebf89b8495b117042efebb708)
@@ -0,0 +1,16 @@
+/*
+ * WarrantyAction.hpp
+ *
+ *  Created on: Oct 14, 2010
+ *      Author: heber
+ */
+
+#ifndef WARRANTYACTION_HPP_
+#define WARRANTYACTION_HPP_
+
+#include "Actions/Action.hpp"
+
+#include "WarrantyAction.def"
+#include "Action_impl_header.hpp"
+
+#endif /* WARRANTYACTION_HPP_ */
Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision eee966fe34197e1773f114db10205f2b7ad6f78e)
+++ src/Actions/Makefile.am	(revision 6940bb556236165ebf89b8495b117042efebb708)
@@ -66,5 +66,6 @@
   CommandAction/HelpAction.cpp \
   CommandAction/VerboseAction.cpp \
-  CommandAction/VersionAction.cpp
+  CommandAction/VersionAction.cpp \
+  CommandAction/WarrantyAction.cpp
 CMDACTIONHEADER = \
   CommandAction/BondLengthTableAction.hpp \
@@ -73,5 +74,6 @@
   CommandAction/HelpAction.hpp \
   CommandAction/VerboseAction.hpp \
-  CommandAction/VersionAction.hpp
+  CommandAction/VersionAction.hpp \
+  CommandAction/WarrantyAction.hpp
 
 FRAGMENTATIONACTIONSOURCE = \
Index: src/Actions/MapOfActions.cpp
===================================================================
--- src/Actions/MapOfActions.cpp	(revision eee966fe34197e1773f114db10205f2b7ad6f78e)
+++ src/Actions/MapOfActions.cpp	(revision 6940bb556236165ebf89b8495b117042efebb708)
@@ -63,4 +63,5 @@
 #include "Actions/CommandAction/VerboseAction.hpp"
 #include "Actions/CommandAction/VersionAction.hpp"
+#include "Actions/CommandAction/WarrantyAction.hpp"
 #include "Actions/FragmentationAction/ConstructBondGraphAction.hpp"
 #include "Actions/FragmentationAction/DepthFirstSearchAction.hpp"
@@ -225,5 +226,5 @@
   DescriptionMap["fill-void"] = "fill void space of box with a filler molecule";
   DescriptionMap["fragment-mol"] = "create for a given molecule into fragments up to given order";
-  DescriptionMap["help"] = "Give this help screen";
+  DescriptionMap["help"] = "help screen";
   DescriptionMap["input"] = "specify input files";
   DescriptionMap["linear-interpolate"] = "linear interpolation in discrete steps between start and end position of a molecule";
@@ -277,4 +278,5 @@
   DescriptionMap["verlet-integrate"] = "perform verlet integration of a given force file";
   DescriptionMap["version"] = "show version";
+  DescriptionMap["warranty"] = "statement concerning warranty of the software";
   // keys for values
   DescriptionMap["angle-x"] = "angle of a rotation around x axis";
@@ -489,6 +491,8 @@
   MenuContainsActionMap.insert( pair<std::string, std::string> ("command", "element-db") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("command", "fastparsing") );
+  MenuContainsActionMap.insert( pair<std::string, std::string> ("command", "help") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("command", "verbose") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("command", "version") );
+  MenuContainsActionMap.insert( pair<std::string, std::string> ("command", "warranty") );
 
   MenuContainsActionMap.insert( pair<std::string, std::string> ("fragmentation", "construct-bondgraph") );
@@ -627,4 +631,5 @@
   generic.insert("verlet-integrate");
 	generic.insert("version");
+  generic.insert("warranty");
 
     // positional arguments
@@ -949,4 +954,5 @@
   new CommandVerboseAction();
   new CommandVersionAction();
+  new CommandWarrantyAction();
 
   new FragmentationConstructBondGraphAction();
Index: src/builder.cpp
===================================================================
--- src/builder.cpp	(revision eee966fe34197e1773f114db10205f2b7ad6f78e)
+++ src/builder.cpp	(revision 6940bb556236165ebf89b8495b117042efebb708)
@@ -149,5 +149,5 @@
   cout << MOLECUILDERVERSION << endl;
   cout << "MoleCuilder comes with ABSOLUTELY NO WARRANTY; for details type" << endl;
-  cout << "`molecuilder --help-warranty'." << endl;
+  cout << "`molecuilder --warranty'." << endl;
   cout << "`MoleCuilder - to create and alter molecular systems." << endl;
   cout << "Copyright (C) 2010  University Bonn. All rights reserved." << endl;