Index: tests/Calculations/testsuite-calculations-jobmarket-1_2-dimethoxyethane.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-1_2-dimethoxyethane.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-1_2-dimethoxyethane.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-1_2-dimethylbenzene.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-1_2-dimethylbenzene.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-1_2-dimethylbenzene.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-2-methylcyclohexanone.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-2-methylcyclohexanone.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-2-methylcyclohexanone.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-N_N-dimethylacetamide.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-N_N-dimethylacetamide.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-N_N-dimethylacetamide.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-anthracene.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-anthracene.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-anthracene.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -67,5 +67,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-benzene.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-benzene.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-benzene.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-cholesterol.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-cholesterol.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-cholesterol.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-coronene.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-coronene.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-coronene.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-cycloheptane.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-cycloheptane.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-cycloheptane.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-dimethyl_bromomalonate.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-dimethyl_bromomalonate.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-dimethyl_bromomalonate.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-glucose.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-glucose.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-glucose.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-heptan.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-heptan.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-heptan.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-isoleucine.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-isoleucine.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-isoleucine.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-mpqc.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-mpqc.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-mpqc.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -51,5 +51,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-naphthalene.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-naphthalene.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-naphthalene.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-neohexane.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-neohexane.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-neohexane.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-phenanthrene.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-phenanthrene.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-phenanthrene.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -66,5 +66,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-proline.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-proline.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-proline.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-putrescine.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-putrescine.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-putrescine.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
Index: tests/Calculations/testsuite-calculations-jobmarket-tartaric_acid.at
===================================================================
--- tests/Calculations/testsuite-calculations-jobmarket-tartaric_acid.at	(revision c2f5432788d8f0f5cea309f11e7071187dbbda0e)
+++ tests/Calculations/testsuite-calculations-jobmarket-tartaric_acid.at	(revision 6943df6a4b8b80153cdd4bccf09cb6afb5a5ac98)
@@ -64,5 +64,6 @@
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
-# shutdown controller socket 
+# shutdown controller socket
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid]) 
 AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 